<template>
  <div
    v-if="isNotification"
    v-click-outside="onCloseNotification"
    class="absolute bg-white shadow-2 overflow-hidden z-10 border border-gray-light text-pearl font-normal text-base"
    style="width: 500px; top: calc(100% + 8px); right: 0; max-height: calc(100vh - 112px);"
  >
    <div
      class="flex items-center border-solid border-b border-blue-gray p-4 pb-3"
    >
      <span class="mr-auto font-medium leading-160 text-blue text-xl">
        Thông báo
      </span>
      <a href="javascript:;" @click="onCloseNotification">
        <svg-icon
          name="icon-closed"
          class="w-4 h-4 text-gray-medium inline-block align-middle"
        ></svg-icon>
      </a>
    </div>
    <div class="pb-0 pt-0">
      <perfect-scrollbar>
        <div class="text-dark">
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <nuxt-link to="{ name: 'account' }">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </nuxt-link>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Alex Nguyen</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                Chúc mừng bạn đã lên FAN CỨNG trong chuyên mục
                <strong class="font-medium">Laptop</strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Tiến Minh</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Đỗ Duy Khang</strong>
                và
                <strong class="font-medium">15 người khác</strong>
                đã thích bình luận của bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
          <div
            class="item-noti flex space-x-4 p-4 cursor-pointer hover:bg-gray-300"
          >
            <a href="/account">
              <Avatar :type="'small'" :avatar="'/users/avatar.jpg'" />
            </a>
            <div>
              <p class="leading-160 mb-2">
                <strong class="font-medium">Lê Hà Long</strong>
                đã trả lời bạn trong bài
                <strong class="font-medium">
                  “Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer
                  Blade 15”
                </strong>
              </p>
              <p class="text-sm text-gray-medium leading-none">
                15’ trước
              </p>
            </div>
          </div>
        </div>
      </perfect-scrollbar>
    </div>
  </div>
</template>

<script>
import { PerfectScrollbar } from 'vue2-perfect-scrollbar'
import vClickOutside from 'v-click-outside'
import Avatar from '~/components/common/Avatar'

export default {
  name: 'TheNotification',
  components: {
    PerfectScrollbar,
    Avatar
  },
  directives: {
    clickOutside: vClickOutside.directive
  },
  props: {
    isNotification: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    onCloseNotification() {
      this.$emit('update:is-notification', false)
    }
  }
}
</script>
